### Signal

# Devhelp BookList::remove-book

since: 3.30

#### Declaration

    void
    remove_book (
      DhBookList* self,
      DhBook* book,
      gpointer user_data
    )

#### Description [src]

The ::remove-book signal is emitted when a `DhBook` is removed from a `DhBookList`.

The default object method handler removes `book` from the internal `GList` of `book_list`, and verifies that `book` was present in the list and that `book` was not inserted several times.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 3.30

#### Parameters

`book`

  Type: `DhBook`

  The `DhBook` being removed.

  The data is owned by the caller of the function.